=== debian/changelog ===
ard (1.0.20131207) stable; urgency=low

  * Eliminated the auxiliary cron-job script to hunt down and kill rogue
    gconfd-2 processes, since these are now well-behaved.
  
 -- Jorge L. deLyra <delyra@fma.if.usp.br>  Sat, 07 Dec 2013 19:07:00 -0200

ard (1.0.20080408) stable; urgency=low

  * Updated the package to the Etch Debian standards, and started
    distributing it as an "all" architecture package.

 -- Jorge L. deLyra <delyra@fma.if.usp.br>  Tue,  8 Apr 2008 18:22:00 -0300

ard (0.0.20061201) stable; urgency=low

  * Included an auxiliary cron-job script to hunt down and kill rogue
    gconfd-2 processes, which are left running in the system, not attached
    to a terminal.

 -- Jorge L. deLyra <delyra@fma.if.usp.br>  Fri,  1 Dec 2006 22:40:40 -0200

ard (0.0.20061129) stable; urgency=low

  * Included a couple of new command-line arguments in the program, to
    permit the use of different auxiliary configuration files. Also
    updated and improved the documentation.

 -- Jorge L. deLyra <delyra@fma.if.usp.br>  Wed, 29 Nov 2006 15:13:33 -0200

ard (0.0.20061128) stable; urgency=low

  * Initial Release.

 -- Jorge L. deLyra <delyra@fma.if.usp.br>  Tue, 28 Nov 2006 14:35:39 -0200

Local variables:
mode: debian-changelog
End:
