=== debian/control ===
Source: ard
Section: admin
Priority: optional
Maintainer: Jorge L. deLyra <delyra@fma.if.usp.br>
Build-Depends: debhelper (>= 5.0.0)
Standards-Version: 3.6.2

Package: ard
Architecture: all
Depends: tcsh, and
Description: A cron-driven pseudo-daemon to control the maximum number of
 processes that are allowed to run at the same time, in each one of the
 nice levels which are reserved by the configuration of the "and" daemon
 for the control of CPU-intensive processes.
 .
 This package is meant as a complement to the "and" package. Together with
 the action of the "and" daemon, the "ard" program contained in it can be
 used to establish a batch job control structure which is similar to a
 simple batch queueing system.
